# MatMultTranspose

Computes matrix transpose times a vector.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMultTranspose(Mat mat,Vec x,Vec y)

Collective on Mat and Vec

### Input Parameters

| mat | - the matrix
| x | - the vector to be multilplied

### Output Parameters

y -the result

### Notes

The vectors x and y cannot be the same. I.e., one cannot call MatMultTranspose(A,y,y).

### See Also

MatMult(), MatMultAdd(), MatMultTransposeAdd()

Level:beginner
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex2.c.html
src/mat/examples/tutorials/ex4.c.html
src/ksp/ksp/examples/tutorials/ex10.c.html
src/ksp/ksp/examples/tutorials/ex27.c.html
src/snes/examples/tutorials/ex24.c.html